## ev-link-action

ev-link-action

## Functions

EvLinkActionType | ev_link_action_get_action_type ()
EvLinkDest * | ev_link_action_get_dest ()
const gchar * | ev_link_action_get_uri ()
const gchar * | ev_link_action_get_filename ()
const gchar * | ev_link_action_get_params ()
const gchar * | ev_link_action_get_name ()
EvLinkAction * | ev_link_action_new_dest ()
EvLinkAction * | ev_link_action_new_remote ()
EvLinkAction * | ev_link_action_new_external_uri ()
EvLinkAction * | ev_link_action_new_launch ()
EvLinkAction * | ev_link_action_new_named ()

## Properties

gpointer | dest | Read / Write / Construct Only
gchar * | filename | Read / Write / Construct Only
gpointer | hide-list | Read / Write / Construct Only
gchar * | name | Read / Write / Construct Only
gchar * | params | Read / Write / Construct Only
gpointer | show-list | Read / Write / Construct Only
gpointer | toggle-list | Read / Write / Construct Only
EvLinkActionType | type | Read / Write / Construct Only
gchar * | uri | Read / Write / Construct Only

## Types and Values

| EvLinkAction
| EvLinkActionClass
| EvLinkActionPrivate
enum | EvLinkActionType

## Object Hierarchy

        GEnum
        ╰── EvLinkActionType
        GObject
        ╰── EvLinkAction

## Description

## Functions

### ev_link_action_get_action_type ()

    EvLinkActionType
    ev_link_action_get_action_type (EvLinkAction *self);

### ev_link_action_get_dest ()

    EvLinkDest *
    ev_link_action_get_dest (EvLinkAction *self);

### ev_link_action_get_uri ()

    const gchar *
    ev_link_action_get_uri (EvLinkAction *self);

### ev_link_action_get_filename ()

    const gchar *
    ev_link_action_get_filename (EvLinkAction *self);

### ev_link_action_get_params ()

    const gchar *
    ev_link_action_get_params (EvLinkAction *self);

### ev_link_action_get_name ()

    const gchar *
    ev_link_action_get_name (EvLinkAction *self);

### ev_link_action_new_dest ()

    EvLinkAction *
    ev_link_action_new_dest (EvLinkDest *dest);

### ev_link_action_new_remote ()

    EvLinkAction *
    ev_link_action_new_remote (EvLinkDest *dest,
                               const gchar *filename);

### ev_link_action_new_external_uri ()

    EvLinkAction *
    ev_link_action_new_external_uri (const gchar *uri);

### ev_link_action_new_launch ()

    EvLinkAction *
    ev_link_action_new_launch (const gchar *filename,
                               const gchar *params);

### ev_link_action_new_named ()

    EvLinkAction *
    ev_link_action_new_named (const gchar *name);

## Types and Values

### EvLinkAction

    typedef struct _EvLinkAction EvLinkAction;

### EvLinkActionClass

    typedef struct _EvLinkActionClass EvLinkActionClass;

### EvLinkActionPrivate

    typedef struct _EvLinkActionPrivate EvLinkActionPrivate;

### enum EvLinkActionType

#### Members

EV_LINK_ACTION_TYPE_GOTO_DEST |  |
EV_LINK_ACTION_TYPE_GOTO_REMOTE |  |
EV_LINK_ACTION_TYPE_EXTERNAL_URI |  |
EV_LINK_ACTION_TYPE_LAUNCH |  |
EV_LINK_ACTION_TYPE_NAMED |  |
EV_LINK_ACTION_TYPE_LAYERS_STATE |  |

## Property Details

### The `“dest”` property

      “dest”                     gpointer

The link action destination.

Flags: Read / Write / Construct Only

### The `“filename”` property

      “filename”                 gchar *

The link action filename.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“hide-list”` property

      “hide-list”                gpointer

The list of layers that should be hidden.

Flags: Read / Write / Construct Only

### The `“name”` property

      “name”                     gchar *

The link action name.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“params”` property

      “params”                   gchar *

The link action params.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“show-list”` property

      “show-list”                gpointer

The list of layers that should be shown.

Flags: Read / Write / Construct Only

### The `“toggle-list”` property

      “toggle-list”              gpointer

The list of layers that should be toggled.

Flags: Read / Write / Construct Only

### The `“type”` property

      “type”                     EvLinkActionType

The link action type.

Flags: Read / Write / Construct Only

Default value: EV_LINK_ACTION_TYPE_GOTO_DEST

### The `“uri”` property

      “uri”                      gchar *

The link action URI.

Flags: Read / Write / Construct Only

Default value: NULL